-- Aeroport

local result
local vector2 = require("#microsoft.xna.framework.vector2")
local lua_helper = celeste.Mod.LuaCutscenes.LuaHelper
local Monocle = require("#Monocle")
local minput = require("#Monocle.MInput")
local coroutineEntity = monocle.Entity()

function onTalk()
	makeUnskippable()
	disableRetry()
	disableMovement()
	player.ForceCameraUpdate = true
	wait()
	say("ASCBR25_37")

repeat
	setFlag("choice1")
	if not getFlag("choice1") then
		result = choice("ASCBR25_2", "ASCBR25_n_1", "ASCBR25_n_2", "ASCBR25_n_3", "ASCBR25_n_4", "ASCBR25_n_5", "ASCBR25_n_6", "ASCBR25_n_7", "ASCBR25_n_8", "ASCBR25_n_9", "ASCBR25_n_10", "ASCBR25_n_11", "ASCBR25_n_12", "ASCBR25_n_13", "ASCBR25_n_14", "ASCBR25_n_15", "ASCBR25_n_16", "ASCBR25_n_17", "ASCBR25_n_18", "ASCBR25_n_19", "ASCBR25_n_20", "ASCBR25_n_21", "ASCBR25_n_22", "ASCBR25_n_23", "ASCBR25_n_24", "ASCBR25_n_25", "ASCBR25_n_26", "ASCBR25_n_27", "ASCBR25_n_28", "ASCBR25_n_29", "ASCBR25_n_30", "ASCBR25_n_31", "ASCBR25_n_32", "ASCBR25_n_33", "ASCBR25_n_34", "ASCBR25_n_35")
		if result == 1 then
			result = 37
		elseif result == 2 then do
			setFlag("astheorisco_mensagem")
            result = 37
		end
        elseif result == 3 then do
			setFlag("badast_mensagem")
            result = 37
		end
        elseif result == 4 then do
			setFlag("cabrini_mensagem")
            result = 37
		end
        elseif result == 5 then do
			setFlag("costelinha_mensagem")
            result = 37
		end
        elseif result == 6 then do
			setFlag("destro_mensagem")
            result = 37
		end
        elseif result == 7 then do
			setFlag("ferrer_mensagem")
            result = 37
		end
        elseif result == 8 then do
			setFlag("fox_mensagem")
            result = 37
		end
        elseif result == 9 then do
			setFlag("future_mensagem")
            result = 37
		end
        elseif result == 10 then do
			setFlag("dash_mensagem")
            result = 37
		end
        elseif result == 11 then do
			setFlag("leotxr_mensagem")
            result = 37
		end
        elseif result == 12 then do
			setFlag("lia_mensagem")
            result = 37
		end
        elseif result == 13 then do
			setFlag("lolo_mensagem")
            result = 37
		end
        elseif result == 14 then do
			setFlag("louiss_mensagem")
            result = 37
		end
        elseif result == 15 then do
			setFlag("luci_mensagem")
            result = 37
		end
        elseif result == 16 then do
			setFlag("lukinhas_mensagem")
            result = 37
		end
        elseif result == 17 then do
			setFlag("luonrinho_mensagem")
            result = 37
		end
        elseif result == 18 then do
			setFlag("nmarine6_mensagem")
            result = 37
		end
        elseif result == 19 then do
			setFlag("miglan_mensagem")
            result = 37
		end
        elseif result == 20 then do
			setFlag("nicolau_mensagem")
            result = 37
		end
        elseif result == 21 then do
			setFlag("olive_mensagem")
            result = 37
		end
        elseif result == 22 then do
			setFlag("priest_mensagem")
            result = 37
		end
        elseif result == 23 then do
			setFlag("rhuan_mensagem")
            result = 37
		end
        elseif result == 24 then do
			setFlag("roses_mensagem")
            result = 37
		end
        elseif result == 25 then do
			setFlag("skitz_mensagem")
            result = 37
		end
        elseif result == 26 then do
			setFlag("spokis_mensagem")
            result = 37
		end
        elseif result == 27 then do
			setFlag("star_mensagem")
            result = 37
		end
        elseif result == 28 then do
			setFlag("strawb_mensagem")
            result = 37
		end
        elseif result == 29 then do
			setFlag("sunsetquasar_mensagem")
            result = 37
		end
        elseif result == 30 then do
			setFlag("tear_mensagem")
            result = 37
		end
        elseif result == 31 then do
			setFlag("tomadalegal_mensagem")
            result = 37
		end
        elseif result == 32 then do
			setFlag("vinagre_mensagem")
            result = 37
		end
        elseif result == 33 then do
			setFlag("vinizin_mensagem")
            result = 37
		end
        elseif result == 34 then do
			setFlag("wander_mensagem")
            result = 37
		end
        elseif result == 35 then do
			setFlag("woopa_mensagem")
            result = 37
		end
        elseif result == 36 then do
			setFlag("zbiel_mensagem")
            result = 37
		end
		else
			enableMovement()
    		enableRetry()
    		enableMovement()
			result = 37
		end
		
	end
until result == 37
	enableMovement()
    enableRetry()
    enableMovement()
end

function onEnd()
	enableMovement()
    enableRetry()
    enableMovement()
	setFlag("choice1", False)
end